
<!---
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-->
# Apache Parquet Changelog

## Release 2.0.0 - Unreleased (as of 2018-10-20)



### NEW FEATURES:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [PARQUET-376](https://issues.apache.org/jira/browse/PARQUET-376) | Tolerate square brackets in PR titles |  Minor | . | Alex Levenson | Alex Levenson |


### BUG FIXES:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [PARQUET-342](https://issues.apache.org/jira/browse/PARQUET-342) | Can't build Parquet on Java 6 |  Major | parquet-mr | Nezih Yigitbasi | Nezih Yigitbasi |
| [PARQUET-362](https://issues.apache.org/jira/browse/PARQUET-362) | Parquet buffered writer is too sensitive regarding unions and unknown fields |  Major | parquet-mr | Laurent Goujon |  |
| [PARQUET-375](https://issues.apache.org/jira/browse/PARQUET-375) | Parquet Readme.md still points to release 1.7.0 |  Major | parquet-mr | Luciano Resende |  |
| [PARQUET-1010](https://issues.apache.org/jira/browse/PARQUET-1010) | SKIP FILES STARTS WITH "." in parquet.hadoop.ParquetFileReader.readAllFootersInParallel |  Blocker | parquet-mr | Sandish Kumar HN |  |
| [PARQUET-1077](https://issues.apache.org/jira/browse/PARQUET-1077) | [MR] Switch to long key ids in KEYs file |  Major | parquet-mr | Lars Volker | Lars Volker |


### OTHER:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [PARQUET-356](https://issues.apache.org/jira/browse/PARQUET-356) | Add ElephantBird section to LICENSE file |  Major | parquet-mr | Ryan Blue | Ryan Blue |


